## tomcat10 10.1.5

=== debian/changelog ===
tomcat10 (10.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Drop tomcat-jakartaee-migration.patch. Fixed upstream.
  * Refresh the patches.

 -- Markus Koschany <apo@debian.org>  Wed, 01 Feb 2023 00:13:09 +0100
