=== debian/control ===
--- 
+++ 
@@ -99,7 +99,7 @@
  ${misc:Depends}
 Suggests:
  tomcat10 (>= ${source:Version})
-Description: Apache Tomcat 9 - Servlet and JSP engine -- core libraries
+Description: Apache Tomcat 10 - Servlet and JSP engine -- core libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
  server environment for Java code to run.
@@ -112,7 +112,7 @@
 Depends:
  libeclipse-jdt-core-java (>= 3.26.0),
  ${misc:Depends}
-Description: Apache Tomcat 9 - Servlet and JSP engine -- embed libraries
+Description: Apache Tomcat 10 - Servlet and JSP engine -- embed libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
  server environment for Java code to run.
