## tomcat10 10.1.6

=== debian/changelog ===
tomcat10 (10.1.6-1) unstable; urgency=medium

  * New upstream version 10.1.6
  * Tighten dependency on libtcnative-1.
  * Refresh the patches.

 -- Markus Koschany <apo@debian.org>  Thu, 23 Feb 2023 12:49:47 +0100

tomcat10 (10.1.5-2) unstable; urgency=medium

  * Install and link to websocket-client-api.jar. Fixes ClassNotFoundException.
    Thanks to Jorge Moraleda for the report. (Closes: #1030869)

 -- Markus Koschany <apo@debian.org>  Sun, 12 Feb 2023 19:27:47 +0100
