## tomcat10 10.1.10

=== debian/changelog ===
tomcat10 (10.1.10-1) unstable; urgency=medium

  * New upstream version 10.1.10.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Jun 2023 18:16:33 +0200

tomcat10 (10.1.9-1) experimental; urgency=medium

  * New upstream version 10.1.9.

 -- Markus Koschany <apo@debian.org>  Tue, 16 May 2023 11:32:58 +0200

tomcat10 (10.1.8-1) experimental; urgency=medium

  * New upstream version 10.1.8.

 -- Markus Koschany <apo@debian.org>  Tue, 25 Apr 2023 21:54:20 +0200

tomcat10 (10.1.7-1) experimental; urgency=medium

  * New upstream version 10.1.7.

 -- Markus Koschany <apo@debian.org>  Wed, 12 Apr 2023 00:27:16 +0200
