=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libobjenesis-java,
  libtaglibs-standard-impl-java,
  libtaglibs-standard-spec-java,
- libtcnative-1 (>= 1.2.18),
+ libtcnative-1 (>= 1.2.35),
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper,
