## tomcat10 10.1.16

=== debian/changelog ===
tomcat10 (10.1.16-1ubuntu0.1~esm3) noble-security; urgency=medium

  * SECURITY UPDATE: Security Constraint Bypass
    - debian/patches/CVE-2025-46701.patch: Refactor CGI servlet to
      access resources via WebResources
    - debian/patches/CVE-2025-31651.patch: Better handling of URLs with
      literal ';' and '?'
    - CVE-2025-46701
    - CVE-2025-31651
  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2024-54677-1.patch: Add the ability to delete
      session attributes.
    - debian/patches/CVE-2024-54677-2.patch: Add a limit of 10
      attributes per session to the session example
    - debian/patches/CVE-2024-54677-3.patch: Limit to 10 attributes. Add
      option to delete attribute.
    - debian/patches/CVE-2024-54677-4.patch: Limit shopping cart to pre-
      defined items
    - debian/patches/CVE-2024-54677-5.patch: Remove JSP calendar example
    - CVE-2024-54677
  * SECURITY UPDATE: Object Reuse
    - debian/patches/CVE-2024-52317.patch: Split Stream.recycle() into
      replace() and recycle()
    - CVE-2024-52317
  * SECURITY UPDATE: Memory Leak
    - debian/patches/CVE-2025-31650-1.patch: Invalid priority field
      values should be ignored
    - debian/patches/CVE-2025-31650-2.patch: Additional fix
    - debian/patches/CVE-2025-31650-3.patch: Improve handling of
      unexpected errors during HTTP/2 processing
    - CVE-2025-31650
  * SECURITY UPDATE: Race Condition
    - debian/patches/CVE-2024-50379-1.patch: Fix inconsistent resource
      metadata with current GET and PUT/DELETE
    - CVE-2024-50379

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 20 Jun 2025 13:55:31 +1000

tomcat10 (10.1.16-1ubuntu0.1~esm2) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service via WebSocket connections
    - debian/patches/CVE-2024-23672-pre-1.patch: Rename prior to
      extending with additional tests
    - debian/patches/CVE-2024-23672-pre-2.patch: Add test util getter
      for root context with class path scanning disabled
    - debian/patches/CVE-2024-23672.patch: Refactor WebSocket close for
      suspend/resume
    - CVE-2024-23672
  * SECURITY UPDATE: Denial of service via HTTP/2 header parsing
    - debian/patches/CVE-2024-24549.patch: Report HTTP/2 header parsing
      errors earlier
    - debian/patches/CVE-2024-24549-post-1.patch: Make recycled streams
      eligible for GC immediately. Improves scalability.
    - debian/patches/CVE-2024-24549-post-2.patch: Update tests after
      HTTP/2 improvements
    - CVE-2024-24549
  * SECURITY UPDATE: Denial of service via HTTP/2 stream handling
    - debian/patches/CVE-2024-34750.patch: Make counting of active
      streams more robust
    - CVE-2024-34750
  * SECURITY UPDATE: Denial of service via TLS handshake abuse
    - debian/patches/CVE-2024-38286.patch: Add support for re-keying
      with TLS 1.3
    - CVE-2024-38286
  * Update debian/rules override_dh_auto_build to fix failing taglibs
    tests

 -- Vyom Yadav <vyom.yadav@canonical.com>  Mon, 09 Jun 2025 13:42:58 +0530

tomcat10 (10.1.16-1ubuntu0.1~esm1) noble-security; urgency=medium

  * SECURITY UPDATE: Path equivalence vulnerability in DefaultServlet
    - debian/patches/CVE-2025-24813.patch: Enhance lifecycle of
      temporary files used by partial PUT and use File.createTempFile()
      instead of custom naming based on resource path conversion in
      java/org/apache/catalina/servlets/DefaultServlet.java
    - CVE-2025-24813

 -- Vyom Yadav <vyom.yadav@canonical.com>  Tue, 20 May 2025 14:39:30 +0530

tomcat10 (10.1.16-1) unstable; urgency=medium

  * New upstream version 10.1.16.
    - Fix CVE-2023-46589: potential request smuggling. (Closes: #1057082)

 -- Markus Koschany <apo@debian.org>  Sun, 03 Dec 2023 13:31:22 +0100
