=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tomcat10
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  tony mancill <tmancill@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>,
@@ -25,7 +26,7 @@
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper,
- tomcat-jakartaee-migration
+ tomcat-jakartaee-migration (>= 1.0.7-2~)
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/tomcat10.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat10
