=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tomcat10
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  tony mancill <tmancill@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>,
@@ -17,6 +16,7 @@
  libcglib-nodep-java,
  libeasymock-java (>= 3.0),
  libeclipse-jdt-core-java (>= 3.26.0),
+ libeclipse-jdt-core-compiler-batch-java,
  libhamcrest-java (>= 1.3),
  libjaxrpc-api-java,
  libobjenesis-java,
@@ -27,7 +27,7 @@
  lsb-release,
  maven-repo-helper,
  tomcat-jakartaee-migration (>= 1.0.7-2~)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/tomcat10.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat10
 Homepage: http://tomcat.apache.org
@@ -49,7 +49,6 @@
 Package: tomcat10
 Architecture: all
 Depends:
- lsb-base (>= 3.0-6),
  systemd (>= 238) | systemd-sysusers,
  systemd (>= 238) | systemd-tmpfiles,
  tomcat10-common (>= ${source:Version}),
@@ -97,6 +96,7 @@
 Architecture: all
 Depends:
  libeclipse-jdt-core-java (>= 3.26.0),
+ libeclipse-jdt-core-compiler-batch-java,
  ${misc:Depends}
 Suggests:
  tomcat10 (>= ${source:Version})
