## tomcat10 10.1.33

=== debian/changelog ===
tomcat10 (10.1.33-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 Dec 2024 23:02:21 +0100

tomcat10 (10.1.33-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 23 Nov 2024 19:37:37 +0100
