## tomcat10 10.1.34

=== debian/changelog ===
tomcat10 (10.1.34-0+deb12u2) bookworm-security; urgency=high

  * Team upload.
  * Fix CVE-2025-24813:
    It was found that a malicious user was able to view security sensitive
    files and/or inject content into those files when writes were enabled for
    the default servlet (disabled by default) and support for partial PUT was
    enabled (default). Under certain circumstances, depending on the
    application in use, remote code execution may have been possible.

 -- Markus Koschany <apo@debian.org>  Wed, 01 Apr 2025 23:03:17 +0200

tomcat10 (10.1.34-0+deb12u1) bookworm-security; urgency=high

  * Team upload.
  * Backport 10.1.34 to bookworm to fix open CVE and improve HTTP/2
    functionality.
  * Fix CVE-2024-52316:
    Unchecked Error Condition vulnerability in Apache Tomcat. If Tomcat is
    configured to use a custom Jakarta Authentication (formerly JASPIC)
    ServerAuthContext component which may throw an exception during the
    authentication process without explicitly setting an HTTP status to
    indicate failure, the authentication may not fail, allowing the user to
    bypass the authentication process. There are no known Jakarta
    Authentication components that behave in this way.
  * Fix CVE-2024-38286:
    Apache Tomcat, under certain configurations, allows an attacker to cause an
    OutOfMemoryError by abusing the TLS handshake process.
  * Fix CVE-2024-50379 / CVE-2024-56337:
    Time-of-check Time-of-use (TOCTOU) Race Condition vulnerability during JSP
    compilation in Apache Tomcat permits an RCE on case insensitive file
    systems when the default servlet is enabled for write (non-default
    configuration).
    Some users may need additional configuration to fully mitigate
    CVE-2024-50379 depending on which version of Java they are using with
    Tomcat. For Debian 12 "bookworm" the system property sun.io.useCanonCaches
    must be explicitly set to false (it defaults to false). Most Debian users
    will not be affected because Debian uses case sensitive file systems by
    default.
  * Fix CVE-2024-34750:
    Improper Handling of Exceptional Conditions, Uncontrolled Resource
    Consumption vulnerability in Apache Tomcat. When processing an HTTP/2
    stream, Tomcat did not handle some cases of excessive HTTP headers
    correctly. This led to a miscounting of active HTTP/2 streams which in turn
    led to the use of an incorrect infinite timeout which allowed connections
    to remain open which should have been closed.
  * Fix CVE-2024-54677:
    Uncontrolled Resource Consumption vulnerability in the examples web
    application provided with Apache Tomcat leads to denial of service.

 -- Markus Koschany <apo@debian.org>  Thu, 16 Jan 2025 22:40:13 +0100

tomcat10 (10.1.6-1+deb12u2) bookworm-security; urgency=high

  * Team upload.
  * Fix CVE-2023-46589:
    Improper Input Validation vulnerability in Apache Tomcat. Tomcat 10 did not
    correctly parse HTTP trailer headers. A trailer header that exceeded the
    header size limit could cause Tomcat to treat a single request as multiple
    requests leading to the possibility of request smuggling when behind a
    reverse proxy.
  * Fix CVE-2024-24549:
    Denial of Service due to improper input validation vulnerability for
    HTTP/2. When processing an HTTP/2 request, if the request exceeded any of
    the configured limits for headers, the associated HTTP/2 stream was not
    reset until after all of the headers had been processed.
  * Fix CVE-2024-23672:
    Denial of Service via incomplete cleanup vulnerability. It was possible for
    WebSocket clients to keep WebSocket connections open leading to increased
    resource consumption.

 -- Markus Koschany <apo@debian.org>  Mon, 15 Apr 2024 22:05:02 +0200

tomcat10 (10.1.6-1+deb12u1) bookworm-security; urgency=high

  * Fix CVE-2023-45648: Request smuggling. Tomcat did not correctly parse HTTP
    trailer headers. A specially crafted, invalid trailer header could cause
    Tomcat to treat a single request as multiple requests leading to the
    possibility of request smuggling when behind a reverse proxy.
  * Fix CVE-2023-44487: DoS caused by HTTP/2 frame overhead (Rapid Reset Attack)
  * Fix CVE-2023-42795: Information Disclosure. When recycling various internal
    objects, including the request and the response, prior to re-use by the next
    request/response, an error could cause Tomcat to skip some parts of the
    recycling process leading to information leaking from the current
    request/response to the next.
  * Fix CVE-2023-41080: Open redirect. If the ROOT (default) web application
    is configured to use FORM authentication then it is possible that a
    specially crafted URL could be used to trigger a redirect to an URL of
    the attackers choice.
  * Fix CVE-2023-28709: Denial of Service. If non-default HTTP connector
    settings were used such that the maxParameterCount could be reached using
    query string parameters and a request was submitted that supplied exactly
    maxParameterCount parameters in the query string, the limit for uploaded
    request parts could be bypassed with the potential for a denial of service
    to occur.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Oct 2023 18:33:08 +0200
