=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  default-jdk,
  javahelper,
  junit4 (>= 4.11),
- libcglib-nodep-java,
+ libbyte-buddy-java,
+ libderby-java,
  libeasymock-java (>= 3.0),
  libeclipse-jdt-core-java (>= 3.26.0),
- libeclipse-jdt-core-compiler-batch-java,
  libhamcrest-java (>= 1.3),
  libjaxrpc-api-java,
  libobjenesis-java,
@@ -26,8 +26,8 @@
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper,
- tomcat-jakartaee-migration (>= 1.0.7-2~)
-Standards-Version: 4.7.0
+ tomcat-jakartaee-migration
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/tomcat10.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat10
 Homepage: http://tomcat.apache.org
@@ -96,7 +96,6 @@
 Architecture: all
 Depends:
  libeclipse-jdt-core-java (>= 3.26.0),
- libeclipse-jdt-core-compiler-batch-java,
  ${misc:Depends}
 Suggests:
  tomcat10 (>= ${source:Version})
