## tomcat10 10.1.35

=== debian/changelog ===
tomcat10 (10.1.35-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Security Constraint Bypass
    - debian/patches/CVE-2025-46701-pre1.patch: Refactor before
      applying security patch
    - debian/patches/CVE-2025-46701.patch: Refactor CGI servlet to
      access resources via WebResources
    - debian/patches/CVE-2025-31651.patch: Better handling of URLs with
      literal ';' and '?'
    - CVE-2025-46701
    - CVE-2025-31651

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 20 Jun 2025 14:15:00 +1000

tomcat10 (10.1.35-1) unstable; urgency=medium

  * New upstream version 10.1.35.
  * Refresh the patches.

 -- Markus Koschany <apo@debian.org>  Sun, 09 Feb 2025 00:19:28 +0100

tomcat10 (10.1.34-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 Dec 2024 08:16:03 +0100
