=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tomcat10
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  tony mancill <tmancill@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>,
@@ -17,6 +18,7 @@
  libderby-java,
  libeasymock-java (>= 3.0),
  libeclipse-jdt-core-java (>= 3.26.0),
+ libeclipse-jdt-core-compiler-batch-java,
  libhamcrest-java (>= 1.3),
  libjaxrpc-api-java,
  libobjenesis-java,
@@ -26,8 +28,8 @@
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper,
- tomcat-jakartaee-migration
-Standards-Version: 4.6.2
+ tomcat-jakartaee-migration (>= 1.0.7-2~)
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/tomcat10.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat10
 Homepage: http://tomcat.apache.org
@@ -96,6 +98,7 @@
 Architecture: all
 Depends:
  libeclipse-jdt-core-java (>= 3.26.0),
+ libeclipse-jdt-core-compiler-batch-java,
  ${misc:Depends}
 Suggests:
  tomcat10 (>= ${source:Version})
