## tomcat10 10.1.40

=== debian/changelog ===
tomcat10 (10.1.40-1ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: Security Constraint Bypass
    - debian/patches/CVE-2025-46701.patch: Refactor CGI servlet to
      access resources via WebResources
    - CVE-2025-46701

 -- Bruce Cable <bruce.cable@canonical.com>  Fri, 20 Jun 2025 14:15:00 +1000

tomcat10 (10.1.40-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Look for OpenJDK from 11 to 25 when starting the server
  * Standards-Version updated to 4.7.2

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Apr 2025 22:07:33 +0200
