=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 	cp /usr/share/java/taglibs-standard-impl.jar webapps/examples/WEB-INF/lib/taglibs-standard-impl-1.2.5.jar
 	javax2jakarta -profile=TOMCAT webapps/examples/WEB-INF/lib/taglibs-standard-spec-1.2.5.jar webapps/examples/WEB-INF/lib/taglibs-standard-spec-1.2.5-migrated-0.0.1.jar
 	javax2jakarta -profile=TOMCAT webapps/examples/WEB-INF/lib/taglibs-standard-impl-1.2.5.jar webapps/examples/WEB-INF/lib/taglibs-standard-impl-1.2.5-migrated-0.0.1.jar
-	rm webapps/examples/WEB-INF/lib/taglibs-standard-spec-*.jar
+	rm webapps/examples/WEB-INF/lib/taglibs-standard-spec-1.2.5.jar
+	rm webapps/examples/WEB-INF/lib/taglibs-standard-impl-1.2.5.jar
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
