## tomcat10 10.1.46

=== debian/changelog ===
tomcat10 (10.1.46-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Sep 2025 13:43:22 +0200
