=== debian/watch ===
version=4
opts="mode=git,repack,compression=xz,uversionmangle=s/-(alpha|beta|RC|M)/~$1/" \
https://github.com/apache/tomcat refs/tags/(10\.1\..*)
