## tomcat10 10.1.52

=== debian/changelog ===
tomcat10 (10.1.52-1~deb13u1) trixie-security; urgency=medium

  * Backport 10.1.52. to trixie.
  * Fix CVE-2025-46701, CVE-2025-48976, CVE-2025-48988, CVE-2025-48989,
    CVE-2025-49125, CVE-2025-52520, CVE-2025-53506, CVE-2025-55668,
    CVE-2025-55752, CVE-2025-55754 and CVE-2025-61795.
    Several security vulnerabilities have been found in Tomcat 10, a Java web
    server and servlet engine. This update improves the handling of
    HTTP/2 connections and corrects various flaws which can lead to
    uncontrolled resource consumption and a denial of service.

 -- Markus Koschany <apo@debian.org>  Tue, 03 Feb 2026 13:29:34 +0100

tomcat10 (10.1.52-1) unstable; urgency=medium

  * New upstream version 10.1.52.
   - Fix CVE-2025-61795: denial-of-service (Closes: #1119294)
   - Fix CVE-2025-48989: "made you reset attack" (Closes: #1111096)
  * Declare compliance with Debian Policy 4.7.3.
  * Refresh the patches.

 -- Markus Koschany <apo@debian.org>  Wed, 28 Jan 2026 04:45:47 +0100
