=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  lsb-release,
  maven-repo-helper,
  tomcat-jakartaee-migration (>= 1.0.7-2~)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/tomcat10.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat10
 Homepage: http://tomcat.apache.org
